#### D.13.2.6 codimension

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  codimension(c); c cone
  codimension(f); f fan
  codimension(p); p polytope

Return:
  int, the codimension of the input

Example:

    LIB "gfan.lib";
    intmat M1[1][2]=
    1,0;
    cone c1=coneViaPoints(M1);
    codimension(c1);
    ==> 1
    intmat M2[2][2]=
    1,0,
    0,1;
    cone c2=coneViaPoints(M2);
    codimension(c2);
    ==> 0
    fan f = emptyFan(2);
    codimension(f);
    ==> -1
    insertCone(f,c1);
    codimension(f);
    ==> 1
    insertCone(f,c2);
    codimension(f);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.